Skip to main content
POST
/
registry
/
repos
/
{repository_id}
/
sync
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "origin": "<string>",
  "version": "<string>",
  "commit_sha": "<string>",
  "actions_count": 123,
  "forced": false
}
{
  "id": "<string>",
  "origin": "<string>",
  "message": "<string>",
  "errors": {}
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

repository_id
string<uuid>
required

Body

application/json

Parameters for syncing a repository to a specific commit.

target_commit_sha
string | null

The specific commit SHA to sync to. If None, syncs to HEAD.

Required string length: 40
force
boolean
default:false

Force sync by deleting the existing version first, allowing re-sync.

Response

Successful Response

Response model for registry sync operation.

success
boolean
required
repository_id
string<uuid>
required
origin
string
required
version
string | null
commit_sha
string | null
actions_count
integer | null
forced
boolean
default:false